Subject: Re: bug#39341: Installer using 100% of a CPU core

From: Ludovic Courtès <[email-masked]>
Date: Tue, 27 Apr 2021 12:38:23 +0200

Hi,

"pelzflorian (Florian Pelz)" <[email-masked]> skribis:

> On Mon, Apr 26, 2021 at 06:07:33PM +0200, Ludovic Courtès wrote:
>> Hi,
>> 
>> "pelzflorian (Florian Pelz)" <[email-masked]> skribis:
>> 
>> > On Sun, Apr 25, 2021 at 11:41:59PM +0200, Ludovic Courtès wrote:
>> > 65;6003;1c> I’ve verified that keymap choices in the installer are honored, that you
>> >> can change anytime via the F1 menu, and that there’s no file descriptor
>> >> leak in the kmscon process.
>> >
>> > Keyboard layout selection completely broke for me, I will check again
>> > later if the mistake is on my part.
>> 
>> How did you test?
>> 
>> I made the initial choice in the early menu and later modified it by
>> pressing F1 and “Change keyboard layout”.
>> 
>> Ludo’.
>
> I selected the layout to be Amharic (or anything else, even QWERTZ
> Deutsch/German) both directly and via F1.  Keyboard layout of the same
> image (guix git master, with updated guix package) works on QEMU and
> fails on real hardware where an old image worked.

What do you mean by “fails on real hardware”?  That the keyboard layout
is unchanged?  Is there anything in /var/log/messages or wherever kmscon
writes its logs?

Ludo’.